Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.handler
Class AbstractWsSecurityHandler

    java.lang.Object
      be.ehealth.technicalconnector.handler.AbstractSOAPHandler
          be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler

All Implemented Interfaces:
  Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

Direct Known Subclasses:
  CertificateCallback, SAMLHolderOfKeyHandler, SAMLHolderOfKeyHandler, SAMLSenderVouchesHandler

    public abstract class AbstractWsSecurityHandler

extends AbstractSOAPHandler

Abstract class containing a Wizard that facilitates the creation of a Security Header.

Nested Class Summary
`static interface` | `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0`
`static interface` | `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1`
`static interface` | `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2`
`static interface` | `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3`
`static interface` | `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4`

Constructor Summary
`AbstractWsSecurityHandler()`

Method Summary
`AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0` | `buildSignature()`
`boolean` | `handleOutbound(SOAPMessageContext context)` Method that is called in the outbound flow.

Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler
`close, getHeaders, handleFault, handleInbound, handleMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractWsSecurityHandler

    public AbstractWsSecurityHandler()

Method Detail

### buildSignature

    public AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0 buildSignature()
                                                                       throws org.apache.wss4j.common.ext.WSSecurityException

  Throws:
    `org.apache.wss4j.common.ext.WSSecurityException`

### handleOutbound

    public boolean handleOutbound(SOAPMessageContext context)

  Description copied from class: `AbstractSOAPHandler`
  Method that is called in the outbound flow.

  Overrides:
    `handleOutbound` in class `AbstractSOAPHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.